<nz-card nzSize="small" nzTitle="Chat: {{ currentGroup?.name }}">

    <nz-spin [nzSpinning]="isLoading">
        <nz-comment>
            <nz-comment-content>
                <nz-form-item>
                    <textarea [(ngModel)]="newMessageContent" nz-input rows="4"></textarea>
                </nz-form-item>
                <nz-form-item>
                    <button nz-button nzType="primary" [nzLoading]="isLoading" [disabled]="!newMessageContent"
                        (click)="sendMessage()">
                        {{'Social.Community.AddComment' | translate}}
                    </button>
                </nz-form-item>
            </nz-comment-content>
        </nz-comment>

        <div *ngFor="let item of list">
            <nz-comment nzAuthor="{{ item.createdBy.name }}" nzDatetime="{{ item.createdOn }}">
                <nz-avatar nz-comment-avatar nzIcon="user" [nzSrc]="item.createdBy?.avatar"
                   ></nz-avatar>
                <nz-comment-content>
                    {{ item.content }}
                </nz-comment-content>
            </nz-comment>
            <nz-divider></nz-divider>
        </div>

        <div style="text-align: center;" *ngIf="hasMore">
            <button nz-button type="button" nzType="default" nzSize="small" nzShape="round" (click)="getMessages(true)"> {{'Social.Community.loadMore' | translate}}...</button>
        </div>
    </nz-spin>

</nz-card>